# Python structure for L-Galaxies 2020 MM+binary_c model with dust
# Use for snapshot output when the LITE_OUTPUT switch is on
import numpy
LGalaxiesStruct = numpy.dtype([
('Type',numpy.int32,1),
('HaloIndex',numpy.int32,1),
('HaloM_Crit200',numpy.float32,1),
('SnapNum',numpy.int32,1),
('LookBackTimeToSnap',numpy.float32,1),
('CentralMvir',numpy.float32,1),
('CentralRvir',numpy.float32,1),
('DistanceToCentralGal',numpy.float32,3),
('Pos',numpy.float32,3),
('Vel',numpy.float32,3),
('Len',numpy.int32,1),
('Mvir',numpy.float32,1),
('Rvir',numpy.float32,1),
('Vvir',numpy.float32,1),
('Vmax',numpy.float32,1),
('ColdGasSpin',numpy.float32,3),
('DiskSpin',numpy.float32,3),
('ColdGas',numpy.float32,1),
('ColdGasRings',numpy.float32,12),
('H2fraction',numpy.float32,1),
('H2fractionRings',numpy.float32,12),
('StellarMass',numpy.float32,1),
('DiskMass',numpy.float32,1),
('BulgeMass',numpy.float32,1),
('DiskMassRings',numpy.float32,12),
('BulgeMassRings',numpy.float32,12),
('HotGas',numpy.float32,1),
('EjectedMass',numpy.float32,1),
('BlackHoleMass',numpy.float32,1),
('ICM',numpy.float32,1),
('MetalsColdGas',numpy.float32,3),
('MetalsColdGasRings',numpy.float32,[12,3]),
('MetalsStellarMass',numpy.float32,3),
('MetalsDiskMass',numpy.float32,3),
('MetalsBulgeMass',numpy.float32,3),
('MetalsDiskMassRings',numpy.float32,[12,3]),
('MetalsBulgeMassRings',numpy.float32,[12,3]),
('MetalsHotGas',numpy.float32,3),
('MetalsEjectedMass',numpy.float32,3),
('MetalsICM',numpy.float32,3),
('DiskSNIIRate',numpy.float32,1),
('BulgeSNIIRate',numpy.float32,1),
('ICMSNIIRate',numpy.float32,1),
('DiskSNIaRate',numpy.float32,1),
('BulgeSNIaRate',numpy.float32,1),
('ICMSNIaRate',numpy.float32,1),
('Sfr',numpy.float32,1),
('SfrInst',numpy.float32,1),
('SfrRings',numpy.float32,12),
('SfrInstRings',numpy.float32,12),
('SfrBulge',numpy.float32,1),
('BulgeSize',numpy.float32,1),
('DiskRadius',numpy.float32,1),
('ColdGasRadius',numpy.float32,1),
('StellarHalfMassRadius',numpy.float32,1),
('MassWeightAge',numpy.float32,1),
('DiskMass_elements',numpy.float32,11),
('BulgeMass_elements',numpy.float32,11),
('DiskMassRings_elements',numpy.float32,[12,11]),
('BulgeMassRings_elements',numpy.float32,[12,11]),
('ColdGas_elements',numpy.float32,11),
('ColdGasRings_elements',numpy.float32,[12,11]),
('HotGas_elements',numpy.float32,11),
('ICM_elements',numpy.float32,11),
('EjectedMass_elements',numpy.float32,11),
('t_des',numpy.float32,12),
('t_sput_HotGas',numpy.float32,1),
('t_sput_EjectedMass',numpy.float32,1),
('DustColdGasRates',numpy.float32,5),
('DustHotGasRates',numpy.float32,4),
('DustEjectedMassRates',numpy.float32,1),
('t_acc',numpy.float32,12),
('f_cmax',numpy.float32,[12,11]),
('ColdGasDiff_elements',numpy.float32,11),
('ColdGasClouds_elements',numpy.float32,11),
('DustColdGasDiff_elements',numpy.float32,11),
('DustColdGasClouds_elements',numpy.float32,11),
('DustHotGas_elements',numpy.float32,11),
('DustEjectedMass_elements',numpy.float32,11),
('ColdGasDiffRings_elements',numpy.float32,[12,11]),
('ColdGasCloudsRings_elements',numpy.float32,[12,11]),
('DustColdGasDiffRings_elements',numpy.float32,[12,11]),
('DustColdGasCloudsRings_elements',numpy.float32,[12,11]),
('ending','i4',0)
])
properties_used = {}
for el in LGalaxiesStruct.names:
 	properties_used[el] = True
 